#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint baichuan.podspec' to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'baichuan'
  s.version          = '0.0.1'
  s.summary          = '百川SDK'
  s.description      = <<-DESC
百川SDK
                       DESC
  s.homepage         = 'http://example.com'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'Your Company' => 'email@example.com' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.public_header_files = 'Classes/**/*.h'
  s.dependency 'Flutter'
  s.platform = :ios, '9.0'
  #基础电商SDK依赖
  # s.dependency 'mtopSDK', '3.0.0.5'
  # s.dependency 'securityGuard', '5.4.191'
  # s.dependency 'BCUserTrack', '7.2.0.7-BC1'
  # s.dependency 'AliAuthSDK', '1.1.0.42-bc'
  # s.dependency 'AliLinkPartnerSDK', '4.0.0.24-wk'
  # s.dependency 'MunionBcAdSDK', '1.0.5'

  # #电商套件依赖
  # s.dependency 'WindVane', '8.5.0.46-bc11'
  # s.dependency 'WindMix', '1.0.0.5'
  # s.dependency 'Ariver', '1.0.11.2-BC1'
  # s.dependency 'Triver', '1.0.11.5-BC10'
  # s.dependency 'Triver/LivePlayer', '1.0.11.5-BC10'
  # s.dependency 'Windmill', '1.3.7.3-BC2'
  # s.dependency 'AlibcTradeUltimateSDK', '5.0.0.3-BC4'
  # s.dependency 'AlibcTradeUltimateSDK/MiniApp', '5.0.0.3-BC4'
  # s.dependency 'TBMediaPlayer', '2.0.7.37'
  # s.dependency 'miniAppMediaSDK', '0.0.1.45-BC2'
  # s.dependency 'DWInteractiveSDK', '2.0.7.53-BC'
   
  #电商套件外部依赖 可以使用媒体版本
  s.dependency 'FMDB'
  s.dependency 'Reachability'
  s.dependency 'Masonry'
  s.dependency 'SocketRocket'
   
  #电商套件媒体图片库实现外部依赖（媒体自由注入实现 这里只是举例）
  s.dependency 'SSZipArchive'
  s.dependency  'SDWebImage'

  s.static_framework = true
  s.libraries = "resolv"

  # Flutter.framework does not contain a i386 slice. Only x86_64 simulators are supported.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'VALID_ARCHS[sdk=iphonesimulator*]' => 'x86_64' }
end
